Subject: [Sigtran] If ASPTM and ASPSM messages are sent from SGP ..?

From: Mahantesh <[email-masked]>
Date: Mon, 22 Jan 2007 13:38:16 +0530

*Hi there*,

If ASPTM and ASPSM messages are sent from SGP to ASP, what should ASP do?
Whether ASP respond back with an ERROR or should respond back to SGP with
appropriate ACK?

In my case, ASP is responding back with ACK message.
I want to know the actual behavior, HELP me out !!

*Thanks & Rgds,
-Mahantesh*
_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Sergey Mikhailov" <[email-masked]>
Date: Mon, 22 Jan 2007 18:14:47 +0700

Mahantesh,

Normally SGP only responds to ASPSM and ASPTM messages.
For instance, Section 4.3.3 of RFC 4666 says:

"Once the SCTP association is established (see Section 4.2), assuming that the local M3UA-User is ready,
the local M3UA ASP Maintenance (ASPM) function will initiate the relevant procedures,
using the ASP Up/ASP Down/ASP Active/ASP Inactive messages to convey the ASP state to the SGP
(see Section 4.3.4)."

First, I'm sure it is an error for an SGP to send ASPSM or ASPTM messages other than ACK ones (and BEAT, if needed).
Second, in this case ASP must not respond with ACK.

Instead, I think ASP may either respond with Error ("Unexpected Message") or silently discard that message from SGP.

Regards,
Sergey Mikhailov.

  ----- Original Message ----- 
  From: Mahantesh 
  To: sigtran 
  Sent: Monday, January 22, 2007 3:08 PM
  Subject: [Sigtran] If ASPTM and ASPSM messages are sent from SGP ..?

  Hi there,

  If ASPTM and ASPSM messages are sent from SGP to ASP, what should ASP do?
  Whether ASP respond back with an ERROR or should respond back to SGP with appropriate ACK?

  Thanks & Rgds,
  -Mahantesh 

------------------------------------------------------------------------------

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Mon, 22 Jan 2007 05:01:05 -0700

Mahantesh,

I agree with Sergey.

--brian

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦